Package org.apache.bcel.generic

# Class GETSTATIC

java.lang.Object
org.apache.bcel.generic.Instruction
org.apache.bcel.generic.CPInstruction
org.apache.bcel.generic.FieldOrMethod
org.apache.bcel.generic.FieldInstruction
org.apache.bcel.generic.GETSTATIC

All Implemented Interfaces:
  `Cloneable`, `ExceptionThrower`, `IndexedInstruction`, `LoadClass`, `PushInstruction`, `StackProducer`, `TypedInstruction`

public class GETSTATIC extends FieldInstruction implements PushInstruction, ExceptionThrower
GETSTATIC - Fetch static field from class

     Stack: ..., -> ..., value

OR

     Stack: ..., -> ..., value.word1, value.word2

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.generic.CPInstruction

  `index`

  ### Fields inherited from class org.apache.bcel.generic.Instruction

  `length, opcode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GETSTATIC(int index)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Call corresponding visitor method(s).
  `Class<?>[]`
  `getExceptions()`
  `int`
  `produceStack(ConstantPoolGen cpg)`
  This method also gives right results for instructions whose effect on the stack depends on the constant pool entry they reference.

  ### Methods inherited from class org.apache.bcel.generic.FieldInstruction

  `getFieldName, getFieldSize, getFieldType, getType, toString`

  ### Methods inherited from class org.apache.bcel.generic.FieldOrMethod

  `getClassName, getClassType, getLoadClassType, getName, getReferenceType, getSignature`

  ### Methods inherited from class org.apache.bcel.generic.CPInstruction

  `dump, getIndex, initFromFile, setIndex, toString`

  ### Methods inherited from class org.apache.bcel.generic.Instruction

  `consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, readInstruction, setComparator, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GETSTATIC

    public GETSTATIC(int index)

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
    Specified by:
      `accept` in class `Instruction`
    Parameters:
      `v` - Visitor object

  - ### getExceptions

    public Class<?>[] getExceptions()
    Specified by:
      `getExceptions` in interface `ExceptionThrower`

  - ### produceStack

    public int produceStack(ConstantPoolGen cpg)
    Description copied from class: `Instruction`
    This method also gives right results for instructions whose effect on the stack depends on the constant pool entry they reference.
    Specified by:
      `produceStack` in interface `StackProducer`
    Overrides:
      `produceStack` in class `Instruction`
    Returns:
      Number of words produced onto stack by this instruction, or Constants.UNPREDICTABLE, if this can not be computed statically